import request from '@/utils/request'

// 查询规划类型列表
export function listPlanType(query) {
  return request({
    url: '/type/planType/list',
    method: 'get',
    params: query
  })
}

// 查询规划类型详细
export function getPlanType(typeId) {
  return request({
    url: '/type/planType/' + typeId,
    method: 'get'
  })
}

// 新增规划类型
export function addPlanType(data) {
  return request({
    url: '/type/planType',
    method: 'post',
    data: data
  })
}

// 修改规划类型
export function updatePlanType(data) {
  return request({
    url: '/type/planType',
    method: 'put',
    data: data
  })
}

// 删除规划类型
export function delPlanType(typeId) {
  return request({
    url: '/type/planType/' + typeId,
    method: 'delete'
  })
}

// 导出规划类型
export function exportPlanType(query) {
  return request({
    url: '/type/planType/export',
    method: 'get',
    params: query
  })
}
